Mail archive
alpine-devel

[alpine-devel] [PATCH] main/apr: patched gcc 4.5 alias issue

From: Matt Smith <mcs_at_darkregion.net>
Date: Fri, 14 Jan 2011 09:36:12 -0600

See #504
---
 main/apr/APKBUILD |   15 ++++++++++++---
 1 files changed, 12 insertions(+), 3 deletions(-)
diff --git a/main/apr/APKBUILD b/main/apr/APKBUILD
index a722242..7de73b2 100644
--- a/main/apr/APKBUILD
+++ b/main/apr/APKBUILD
_at_@ -1,7 +1,7 @@
 # Maintainer: Natanael Copa <ncopa_at_alpinelinux.org>
 pkgname=apr
 pkgver=1.4.2
-pkgrel=3
+pkgrel=4
 pkgdesc="The Apache Portable Runtime"
 url="http://apr.apache.org/"
 arch="all"
_at_@ -10,9 +10,17 @@ depends=
 makedepends="util-linux-ng-dev"
 depends_dev="util-linux-ng-dev"
 subpackages="$pkgname-dev"
-source="http://www.apache.org/dist/$pkgname/$pkgname-$pkgver.tar.bz2"
+source="http://www.apache.org/dist/$pkgname/$pkgname-$pkgver.tar.bz2
+	saveas-http://svn.mandriva.com/cgi-bin/viewvc.cgi/packages/cooker/apr/current/SOURCES/apr-1.4.2-alias.patch?revision=604557&content-type=text%2Fplain&view=co/apr-1.4.2-alias.patch
+	"
 
 _builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+	cd "$_builddir"
+	patch -p1 -i "$srcdir"/apr-1.4.2-alias.patch || return 1  #see #504
+}
+
 build() {
 	cd "$_builddir"
 	./configure --prefix=/usr \
_at_@ -39,4 +47,5 @@ dev() {
 	return 0
 }
 
-md5sums="4b00e8f70c067893d075577962656b35  apr-1.4.2.tar.bz2"
+md5sums="4b00e8f70c067893d075577962656b35  apr-1.4.2.tar.bz2
+09880bf826888537f756fd21f6b8c796  apr-1.4.2-alias.patch"
-- 
1.7.3.3
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Fri Jan 14 2011 - 09:36:12 UTC